Skip to main content
GET
/
api
/
v1
/
additional_appointments
/
{id}
Get an additional appointment
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/additional_appointments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "additional_appointment",
    "attributes": {
      "title": "<string>",
      "effective_from": "2023-12-25",
      "custom_fields": {},
      "label": "<string>",
      "featured": true,
      "external_id": "<string>",
      "effective_to": "2026-01-01",
      "percent_allocation": 100,
      "note": "<div>This is a note with <strong>formatting</strong></div>",
      "note_as_plain_text": "This is a note with formatting"
    },
    "relationships": {
      "profile": {
        "links": {
          "related": "<string>"
        },
        "meta": {},
        "data": {
          "type": "profile",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      },
      "department": {
        "links": {
          "related": "<string>"
        },
        "meta": {},
        "data": {
          "type": "department",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Path Parameters

id
string
required

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: profile, department

Response

additional appointment found

data
object
required